cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
		bgm: {
            default: null,
            url: cc.AudioClip
        },
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
		var self = this;
		this.node.on(cc.Node.EventType.TOUCH_END, function(e) { cc.audioEngine.play(this.bgm, true, 1); }, this);
    },

    // called every frame
    update: function (dt) {

    },
});
