// Learn cc.Class:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/class/index.html
// Learn Attribute:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/reference/attributes/index.html
// Learn life-cycle callbacks:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/life-cycle-callbacks/index.html

cc.Class({
    extends: cc.Component,

    properties: {
        // foo: {
        //     // ATTRIBUTES:
        //     default: null,        // The default value will be used only when the component attaching
        //                           // to a node for the first time
        //     type: cc.SpriteFrame, // optional, default is typeof default
        //     serializable: true,   // optional, default is true
        // },
        // bar: {
        //     get () {
        //         return this._bar;
        //     },
        //     set (value) {
        //         this._bar = value;
        //     }
        // },

        leftBtn: {
            default: null,
            type: cc.Node
        },
        rightBtn: {
            default: null,
            type: cc.Node
        },
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start() {

    },

    init: function() {
        this.leftBtn.on(cc.Node.EventType.TOUCH_START, this.leftBeginHandler, this);
        this.leftBtn.on(cc.Node.EventType.TOUCH_END, this.leftEndHandler, this);
        this.leftBtn.on(cc.Node.EventType.TOUCH_CANCEL, this.leftEndHandler, this);
        this.rightBtn.on(cc.Node.EventType.TOUCH_START, this.rightBeginHandler, this);
        this.rightBtn.on(cc.Node.EventType.TOUCH_END, this.rightEndHandler, this);
        this.rightBtn.on(cc.Node.EventType.TOUCH_CANCEL, this.rightEndHandler, this);

    },

    // onKeyDown: function(event) {
    //     switch (event.keyCode) {
    //         case cc.KEY.left:
    //             this.leftBeginHandler();
    //             console.log('Press a key');
    //             break;
    //         case cc.KEY.right:
    //             this.rightBeginHandler();
    //             console.log('Press d key');
    //             break;
    //     }
    // },

    // onKeyUp: function(event) {
    //     switch (event.keyCode) {
    //         case cc.KEY.left:
    //             this.leftEndHandler();
    //             console.log('release a key');
    //             break;
    //         case cc.KEY.right:
    //             this.rightEndHandler();
    //             console.log('release d key');
    //             break;
    //     }
    // },

    leftBeginHandler: function(evt) {
        evt.stopPropagation();
		console.log("leftBeginHandler:",evt.type);
    },

    leftEndHandler: function(evt) {
        evt.stopPropagation();
		console.log("leftEndHandler:",evt.type);
    },

    rightBeginHandler: function(evt) {
        evt.stopPropagation();
		console.log("rightBeginHandler:",evt.type);
    },

    rightEndHandler: function(evt) {
        evt.stopPropagation();
		console.log("rightEndHandler:",evt.type);
    },
    // update (dt) {},
});