cc.Class({
    extends: cc.Component,

    properties: {
        content: {
            default: null,
            type: cc.Node
        },
        uiLayer: {
            default: null,
            type: cc.Node
        },
        // defaults, set visually when attaching this script to the Canvas
    },

    // use this for initialization
    onLoad: function() {
        var size = cc.director.getWinSize();
        //高：宽 小于16:9
        if (size.height / size.width < 1.77) {
            var sc = size.height / this.content.height;
            this.content.scaleY = sc;
        }
        this.uiScript = this.uiLayer.getComponent("UILayer");

        this.init();
    },

    init: function() {
        this.uiScript.init();
    },

    // called every frame
    update: function(dt) {

    },
});